import request from '@/utils/request'

//集体资产一张图-左1-指标
export function assetResourceIndex(parms) {
  return request({
    url: '/home/asset/v2/assetResourceIndex',
    method: 'get',
    params: parms,
  });
}

// 集体资产一张图-左2-固定资产分
export function assetDeptStatistics(parms) {
  return request({
    url: '/home/asset/v2/assetDeptStatistics',
    method: 'get',
    params: parms,
  });
}

// 集体资产一张图-左3-资源性资产分布
export function resourceDeptStatistics(parms) {
  return request({
    url: '/home/asset/v2/resourceDeptStatistics',
    method: 'get',
    params: parms,
  });
}

// 集体资产一张图-左4-固定资产构成分析
export function assetTypeStatistics(parms) {
  return request({
    url: '/home/asset/v2/assetTypeStatistics',
    method: 'get',
    params: parms,
  });
}

// 集体资产一张图-右下-闲置资产
export function idleAssetList(parms) {
  return request({
    url: '/home/asset/v2/idleAssetList',
    method: 'get',
    params: parms,
  });
}

// 集体资产一张图-右下-闲置资产
export function idleResourceList(parms) {
  return request({
    url: '/home/asset/v2/idleResourceList',
    method: 'get',
    params: parms,
  });
}

// 集体资产一张图-中弹窗-资产详情
export function assetDetail(id, parms) {
  return request({
    url: '/home/asset/v2/assetDetail/' + id,
    method: 'get',
    params: parms,
  });
}
// 集资产详情
export function assetPropertyDetail(id, parms) {
  return request({
    url: '/home/asset/v2/assetPropertyDetail/' + id,
    method: 'get',
    params: parms,
  });
}
// 资源详情
export function assetResourceDetail(id, parms) {
  return request({
    url: '/home/asset/v2/assetResourceDetail/' + id,
    method: 'get',
    params: parms,
  });
}
// 集体资产监管-左2-资产镇街汇总
export function assetTownRank(parms) {
  return request({
    url: '/home/asset/v2/assetTownRank',
    method: 'get',
    params: parms,
  });
}

// 集体资产监管-右2-资源镇街汇总
export function resourceTownRank(parms) {
  return request({
    url: '/home/asset/v2/resourceTownRank',
    method: 'get',
    params: parms,
  });
}

// 集体资产监管-左3-资产村居排行
export function assetVillageRank(parms) {
  return request({
    url: '/home/asset/v2/assetVillageRank',
    method: 'get',
    params: parms,
  });
}

// 集体资产监管-右3-资源村居排行
export function resourceVillageRank(parms) {
  return request({
    url: '/home/asset/v2/resourceVillageRank',
    method: 'get',
    params: parms,
  });
}

// 集体资产监管2-左2-资产镇街汇总
export function assetTownRankList(parms) {
  return request({
    url: '/home/asset/v2/assetTownRankList',
    method: 'get',
    params: parms,
  });
}

// 集体资产监管2-右2-资源镇街汇总
export function resourceTownRankList(parms) {
  return request({
    url: '/home/asset/v2/resourceTownRankList',
    method: 'get',
    params: parms,
  });
}

// 集体资产监管2-左3-资产村居排行
export function assetVillageRankList(parms) {
  return request({
    url: '/home/asset/v2/assetVillageRankList',
    method: 'get',
    params: parms,
  });
}

// 集体资产监管2-右3-资源村居排行
export function resourceVillageRankList(parms) {
  return request({
    url: '/home/asset/v2/resourceVillageRankList',
    method: 'get',
    params: parms,
  });
}
